package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * 43.NFT 购买
 */
@Data
public class Nft043BuyRespDto implements Serializable {
    /**
     * 任务ID
     */
    private String taskId;

    private static final Nft043BuyRespDto obj = new Nft043BuyRespDto();
    public static Nft043BuyRespDto getNew() {
        try {
            return (Nft043BuyRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft043BuyRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
